TimingListenerWrapper (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.zevents.TimingListenerWrapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.zevents
Class TimingListenerWrapper

    java.lang.Object
      org.hyperic.hq.zevents.TimingListenerWrapper

All Implemented Interfaces:
  ZeventListener

    public class TimingListenerWrapper

extends java.lang.Object
implements ZeventListener

Constructor Summary
`TimingListenerWrapper(ZeventListener target)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`double` | `getAverageTime()`
`long` | `getMaxTime()`
`long` | `getNumEvents()`
`ZeventListener` | `getTarget()`
`int` | `hashCode()`
`void` | `processEvents(java.util.List events)` Called by the `ZeventManager` to process events coming off the event queue
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimingListenerWrapper

    public TimingListenerWrapper(ZeventListener target)

Method Detail

### processEvents

    public void processEvents(java.util.List events)

  Description copied from interface: `ZeventListener`
  Called by the `ZeventManager` to process events coming off the event queue

  Specified by:
    `processEvents` in interface `ZeventListener`
  Parameters:
    `events` - a List of `Zevent` events

### getMaxTime

    public long getMaxTime()

### getAverageTime

    public double getAverageTime()

### getNumEvents

    public long getNumEvents()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getTarget

    public ZeventListener getTarget()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.